.hero-section {
  position: relative;
  overflow: hidden;
}
.hero-background {
  position: absolute;
  inset: 0px;
  background-image: var(--color-grad-2);
}
.section-desc {
  width: 60%;
}
.hero-eyebrow {
  font-family: var(--font-family-02);
  padding-left: 0.75rem;
  padding-right: 0.75rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  border-radius: 9999px;
  border-width: 1px;
  border-color: rgb(255 255 255 / 0.1);
  font-size: 0.75rem;
  line-height: 1rem;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  color: var(--color-02);
}
.hero-container {
  position: relative;
  max-width: 72rem;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  padding-top: 120px;
  padding-bottom: 5rem;
}

.hero-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 1.25rem;
  max-width: 48rem;
}

.hero-title {
  font-size: 3rem;
  line-height: 1;
  font-weight: 600;
  color: rgb(255 255 255 / 1);
  letter-spacing: -0.025em;
}

.hero-subtitle {
  max-width: 42rem;
  color: rgb(255 255 255 / 0.7);
  margin-top: 1rem;
}

.highlight-icon {
  height: 1.25rem;
  width: 1.25rem;
}

.cta-section {
  border-top-width: 1px;
  border-color: rgb(255 255 255 / 0.05);
  padding-bottom: 4rem;
}

.cta-container {
  max-width: 72rem;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  padding-top: 3.5rem;
  padding-bottom: 3.5rem;
}

.cta-actions {
  font-family: var(--font-family-02);
  display: flex;
  align-items: center;
  gap: 1rem;
}

.cta-primary {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  border-radius: 9999px;
  background-color: rgb(216 181 116 / 1);
  color: rgb(14 14 15 / 1);
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 500;
  outline-style: solid;
  outline-width: 1px;
  outline-color: rgb(255 255 255 / 0.1);
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.cta-primary:hover {
  background-color: rgb(225 199 137 / 1);
}

.cta-secondary {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  border-radius: 9999px;
  border-width: 1px;
  border-color: rgb(255 255 255 / 0.15);
  color: rgb(255 255 255 / 0.85);
  font-size: 0.875rem;
  line-height: 1.25rem;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.cta-secondary:hover {
  color: rgb(216 181 116 / 1);
  border-color: rgb(216 181 116 / 1);
}

.header-navbar {
  width: 100%;
  backdrop-filter: blur(8px);
  border-bottom-width: 1px;
}

.hero-overlay-accent {
  position: absolute;
  right: -6rem;
  top: 0px;
  width: 520px;
  height: 520px;
  border-radius: 9999px;
  filter: blur(64px);
  opacity: 0.3;
}

.hero-divider {
  position: relative;
  max-width: 72rem;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

.divider-line {
  height: 1px;
  width: 100%;
  background-image: linear-gradient(to right, transparent, rgb(0 0 0 / 0));
}

.contact-form-details {
  max-width: 72rem;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  padding-top: 4rem;
  padding-bottom: 4rem;
}

.two-column-grid {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 2.5rem;
}

.form-card {
  border-radius: 1rem;
  box-shadow: 0 0 0 0px #fff, 0 0 0 calc(1px + 0px) rgba(246, 182, 59, 0.5),
    0 0 #0000;
  padding: 2rem;
}

.form-title,
.details-title {
  font-family: var(--font-family-01);
  font-weight: 500;
  font-size: 1.5rem;
  line-height: 2rem;
  color: var(--color-01);
}

.form-intro,
.details-subtitle {
  margin-top: 0.5rem;
  font-family: var(--font-family-02);
  color: var(--contrast-3);
}

.form-element {
  margin-top: 2rem;
  display: flex;
  flex-direction: column;
  gap: 1.25rem;
  font-family: var(--font-family-02);
}

.form-row {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 1.25rem;
}

.input-group {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.input-label {
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: var(--color-01);
}
.input-field {
  border-radius: 10px !important;
  background: var(--color-cart-1) !important;
  width: 100%;
  border-color: var(--color-cart-1) !important;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
  font-family: var(--font-family-02);
  color: var(--color-box-1);
}

.input-field::placeholder {
  color: rgb(107 114 128 / 1);
}

.input-field::placeholder::placeholder {
  color: rgb(107 114 128 / 1);
}

.input-field:focus {
  outline: 2px solid transparent;
  outline-offset: 2px;
  box-shadow: 0 0 0 0px #fff, 0 0 0 calc(2px + 0px) rgb(59 130 246 / 0.5),
    0 0 #0000;
}

.textarea-group {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.textarea-field {
  border-radius: 10px !important;
  background: var(--color-cart-1) !important;
  width: 100%;
  border-radius: 0.75rem;
  border-width: 1px;
  border-color: var(--color-cart-1) !important;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  color: rgb(243 244 246 / 1);
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
  font-family: var(--font-family-02);
  color: var(--color-box-1);
}
.textarea-field::placeholder {
  color: rgb(107 114 128 / 1);
}
.textarea-field::placeholder::placeholder {
  color: rgb(107 114 128 / 1);
}
.textarea-field:focus {
  outline: 2px solid transparent;
  outline-offset: 2px;
  box-shadow: 0 0 0 0px #fff, 0 0 0 calc(2px + 0px) rgb(59 130 246 / 0.5),
    0 0 #0000;
}
.hero-content {
  gap: 0.5rem;
}
.form-actions {
  display: flex;
  align-items: center;
  gap: 1rem;
  padding-top: 0.5rem;
}
.submit-button {
  background: var(--color-box-3);
  display: inline-flex;
  align-items: center;
  gap: 0.5rem;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  border-radius: 9999px;
  font-weight: 500;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
  font-family: var(--font-family-02);
  color: var(--color-01);
}
.button-icon {
  width: 1rem;
  height: 1rem;
}
.assurance-text {
  font-size: 0.75rem;
  line-height: 1rem;
  font-family: var(--font-family-02);
  color: var(--color-02);
}
.details-card {
  border-radius: 1rem;
  background: var(--bg-card);
  padding: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.details-grid {
  margin-top: 2rem;
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  gap: 1.5rem;
}
.detail-item {
  font-family: var(--font-family-02);
  border-radius: 0.75rem;
  border-width: 1px;
  padding: 1.25rem;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
  background: var(--color-grad-2);
  border: 1px solid var(--color-box-1);
}
.detail-icon-row {
  display: flex;
  align-items: center;
  gap: 0.75rem;
}
.detail-icon {
  width: 1.25rem;
  height: 1.25rem;
}
.detail-label {
  font-size: 0.875rem;
  line-height: 1.25rem;
}
.detail-value:lang(ar) {
  direction: ltr;
  text-align: right;
}
.detail-value {
  margin-top: 0.5rem;
  font-weight: 500;
  color: rgb(255 255 255 / 1);
  line-height: 1.625;
  font-family: var(--font-family-02);
}

.detail-link {
  color: var(--color-wo);
  margin-top: 0.5rem;
  display: inline-flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.arrow-icon {
  width: 1rem;
  height: 1rem;
}

.support-note {
  margin-top: 2rem;
  border-radius: 0.75rem;
  border-width: 1px;
  padding: 1.25rem;
}

.support-row {
  display: flex;
  align-items: flex-start;
  gap: 1rem;
  font-family: var(--font-family-02);
}

.support-icon {
  width: 1.5rem;
  height: 1.5rem;
}

.support-text {
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.map-section {
  position: relative;
}

.map-container {
  max-width: 72rem;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

.map-card {
  height: 450px;
  position: relative;
  overflow: hidden;
  border-radius: 1rem;
  box-shadow: 0 0 0 0px #fff, 0 0 0 calc(1px + 0px) rgb(59 130 246 / 0.5),
    0 0 #0000;
}

.map-image {
  width: 100%;
  height: 450px;
  object-fit: cover;
}

.map-overlay {
  position: relative;
  inset: 0px;
  background: #00000082;
}

.map-info {
  position: absolute;
  bottom: 1rem;
  left: 1rem;
  right: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.map-text-block {
  backdrop-filter: blur(4px);
  border-width: 1px;
  border-color: rgb(255 255 255 / 0.1);
  border-radius: 0.75rem;
  padding-left: 1.25rem;
  padding-right: 1.25rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
}

.map-title {
  color: rgb(255 255 255 / 1);
  font-size: 1.25rem;
  line-height: 1.75rem;
  font-family: var(--font-family-02);
}

.map-address {
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.map-button {
  color: var(--color-wo);
  font-family: var(--font-family-02);
  background: var(--contrast);
  border-radius: 9999px;
  padding-left: 1.25rem;
  padding-right: 1.25rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  font-weight: 500;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.section-divider {
  max-width: 72rem;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  margin-top: 2.5rem;
}

.support-section {
  max-width: 72rem;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  padding-top: 3.5rem;
  padding-bottom: 3.5rem;
}
.support-wrapper {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 2.5rem;
}
.support-heading {
  font-weight: 500;
  font-family: var(--font-family-01);
  font-size: 1.875rem;
  line-height: 2.25rem;
  color: var(--color-01);
}
.support-paragraph {
  font-family: var(--font-family-02);
  margin-top: 1rem;
  max-width: 65ch;
  font-weight: 300;
}
.support-highlights {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  gap: 1.5rem;
}

.highlight-card {
  border-radius: 0.75rem;
  border-width: 1px;
  padding: 1.25rem;
  transition-property: color, background-color, border-color,
    text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter,
    backdrop-filter;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
  background: var(--color-box-1);
}

.highlight-row {
  display: flex;
  align-items: center;
  gap: 0.75rem;
}

.highlight-title {
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: rgb(255 255 255 / 1);
  font-family: var(--font-family-01);
}

.highlight-desc {
  color: var(--color-grbl);
  font-size: 0.875rem;
  line-height: 1.25rem;
  margin-top: 0.5rem;
  font-family: var(--font-family-02);
}

.cta-card {
  position: relative;
  overflow: hidden;
  border-radius: 1rem;
  padding: 2rem;
  background: var(--background-01);
}

.cta-accent-glow {
  position: absolute;
  left: -6rem;
  bottom: -6rem;
  width: 420px;
  height: 420px;
  border-radius: 9999px;
  filter: blur(64px);
  opacity: 0.3;
}

.cta-content {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}

.cta-heading {
  font-family: var(--font-family-01);
  font-weight: 500;
  font-size: 1.5rem;
  line-height: 2rem;
  color: rgb(255 255 255 / 1);
}
.cta-subtext {
  color: var(--color-card-3);
  margin-top: 0.5rem;
  font-family: var(--font-family-02);
}

#iihlt {
  align-items: center;
  max-width: 100%;
}

#il017o {
  padding-bottom: 0rem;
}

#idj44f {
  display: flex;
  flex-direction: column;
  font-family: var(--font-family-02);
}

@media (max-width: 992px) {
  .contact-form-details {
    padding-top: 3rem;
    padding-bottom: 3rem;
  }

  .two-column-grid {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }

  .form-row {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }

  .details-grid {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }

  .map-info {
    flex-direction: column;
    align-items: flex-start;
    gap: 0.75rem;
  }

  .support-section {
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
  }

  .support-wrapper {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }

  .support-highlights {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .cta-section {
    padding-bottom: 3rem;
  }

  .cta-card {
    padding: 1.5rem;
  }

  .cta-content {
    flex-direction: column;
    align-items: flex-start;
  }
}

@media (max-width: 786px) {
  .section-desc {
    width: 85%;
  }
}
@media (max-width: 480px) {
  .detail-value {
    font-size: var(--font-size-base-mobile);
  }
  .support-text {
    font-size: var(--font-size-base-mobile);
  }
  .support-heading {
    font-size: var(--font-size-h3-mobile);
    margin-bottom: 0px;
  }
  .support-paragraph {
    margin-bottom: 0px;
    font-size: var(--font-size-base-mobile);
    color: var(--color-grbl);
    margin-top: 0px;
  }
  .support-note {
    padding: 10px 0px;
  }
  .form-row {
    gap: 0.5rem;
  }
  .form-title,
  .details-title {
    font-size: var(--font-size-h4-mobile);
    margin-bottom: 0px;
  }
  .form-intro,
  .details-subtitle,
  .textarea-field,
  .input-field {
    font-size: var(--font-size-base-mobile);
  }
  .submit-button {
    font-size: var(--font-size-base-mobile);
  }
  .input-label {
    font-size: var(--font-size-base-mobile);
  }
  .section-desc {
    width: 95%;
  }
  .hero-title {
    font-size: 1.875rem;
    line-height: 2.25rem;
  }

  .support-highlights {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }

  #i4p0jb {
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 2rem;
    padding-bottom: 2rem;
  }

  #ihuz6n {
    padding-left: 1rem;
    padding-right: 1rem;
  }

  #iq29ml {
    padding-left: 1rem;
    padding-right: 1rem;
  }

  #i03lk {
    padding-top: 1rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
    padding-left: 1rem;
  }

  #i9pd8 {
    padding-top: 1rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
    padding-left: 1rem;
  }

  #i0p8f {
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 2rem;
    padding-top: 5rem;
  }

  #ittq2 {
    padding-top: 1rem;
    padding-bottom: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
  }

  #is7ly5 {
    flex-direction: column;
    max-width: 100%;
    width: 100%;
  }

  #ie1jbq {
    padding-top: 1rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
    padding-left: 1rem;
  }

  #i9zow {
    flex-direction: column;
  }
}
